Skip to content
Account Profile & Status

Get Account Contact Info

This interface is used to retrieve the contact information associated with a specified user's account. By providing the user ID member_id, it returns the user's phone number list (nd email list .

GEThttps://b-api.longbridge.xyz/v1/whaleapi/account/contact_info

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

member_idstringRequired

member ID

Responses

HTTP 200Success
Standard response envelopecodemessagedata
dataobjectdata structure
contactobjectrequired

contact

Child attributes
phonesarray<object>required

phones

Child attributes
country_codeintegerrequired

country_code

mobilestringrequired

mobile

defaultedobjectrequired

defaulted

updated_atintegerrequired

updated_at

emailsarray<object>required

emails

Child attributes
emailstringrequired

email

defaultedstringrequired

defaulted

updated_atintegerrequired

updated_at

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs